Status: Open

Priority: Normal

Assignee:

Category: OsX UI

Affected QGIS version:3.0.0 Regression?: No

Operating System: Mac OS X 10.12.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26266

Description

When clicking on the map with the zoom (magnifying glass) tools the slightest inadvertent movement of the mouse while pressed causes

the scale factor to jump - e.g., from 1:1,000 to 1:1,000,000 (zoom out tool) or to 1:10 (zoom in tool).

Apparently the smallest movement is interpreted as a request to adjust scale. This is much too "sensitive" and frequently results in large

scale jumps from very small hand trembles.

This could be avoided by requiring some minimum movement size (perhaps 10x10 pixels) before interpreting the movement as a request

to rescale rather than just a normal zoom in or out command.

This was reported (#18002) for QGIS 2.18.15 but that ticket was closed with comment "This is fixed for 3.0 - a 2.18 fix is not possible...".

However the issue has not been fixed in 3.0. (3.0.0-Girona from MacPorts 2018_03_06).

PS the addition of the Option key to toggle zoom direction is very nice - thanks!

History

#1 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#2 - 2019-03-09 03:35 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Status changed from Closed to Open
